Saltar para o conteúdo principal
GET
/
public
/
v1
/
campaign-service
/
sponsored-products
Get Sponsored Products
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/sponsored-products \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "sponsoredProducts": [
    "<string>"
  ],
  "next": {
    "offset": 123,
    "limit": 123
  }
}

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI.

Parâmetros de consulta

vendor_id
string
obrigatório

The ID of the vendor to get sponsored products.

offset
integer
padrão:0

The pagination offset.

Intervalo necessário: x >= 0
limit
integer
padrão:100

The pagination limit.

Intervalo necessário: 0 <= x <= 100
fetch_active_products
boolean
padrão:false

Whether to fetch only active products. If false, all products will be fetched even if the campaign or the bid are inactive.

Resposta

Successful Response

Paginated response for sponsored products in a vendor.

hasMore
boolean
obrigatório

Whether this is the last page of results or not.

sponsoredProducts
string[]
obrigatório

List of sponsored product ids.

next
Next · object

The parameters that should be used to fetch the next page.